> For the complete documentation index, see [llms.txt](https://docs.jedidesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jedidesk.com/api-documentation/integraciya-iz-analitikoyu-google-tag-manager-google-analitycs-fb-ta-inshe.md).

# Інтеграція із аналітикою (Google Tag Manager, Google Analitycs, FB та інше)

**1. Приклад того, як за допомогою відслідковування подій віджета можна реалізувати інтеграцію віджета із Google Tag Manager.**&#x20;

Будемо вважати, що написане перше повідомлення від користувача є тригером того, що він є лідом. Для цього використаємо подію *JediDeskClientSendMessage* із параметром *firstMessage*:

```
window.addEventListener("JediDeskClientSendMessage", (e) => {
    if (e.detail.firstMessage) {
        dataLayer.push({
            event: "widgetLead",
            client_name: "Тест",
            client_phone: "+380999999990",
            message: e.detail.text // текст повідомлення користувача
        });
    }
});
```

***

**2. Приклад того, як за допомогою відслідковування подій віджета можна відслідковувати відправку повідомлень від АІ** (коли АІ відповідає на повідомлення).&#x20;

Для цього використовуємо подію JediDeskManagerSendMessage із параметром hasAI:

***

```
window.addEventListener("JediDeskManagerSendMessage", (e) => {
    if (e.detail.hasAi) {
        // тут можна отримати повідомлення, яке згенерував АІ та використати це в своїх цілях
        // e.detail.text
    }
});
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jedidesk.com/api-documentation/integraciya-iz-analitikoyu-google-tag-manager-google-analitycs-fb-ta-inshe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
